Create Opportunity Work Order

Create a new work order for an opportunity. Notes: - `templateId` is required. - `phaseInstanceId` is optional. The phase does not need to be started to create an opportunity work order. **Note:** The `/requests` path is an alias for `/opportunities` and will continue to work until users are individually notified and migrated.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

opportunity_idintegerRequired
Opportunity identifier

Request

This endpoint expects an object.
templateIdintegerRequired
The ID of the work order template to use
phaseInstanceIdintegerOptional
Optional. The ID of the phase instance to use. If provided, the phase does not need to be started to create an opportunity work order. You can gather phase instance ids from the get opportunity endpoint.

Response

Work order created successfully
idintegerOptional

Created workflow element (task) identifier

createdAtstringOptionalformat: "date-time"
updatedAtstringOptionalformat: "date-time"
descriptionstring or nullOptional
positionintegerOptional
Position within phase
phaseInstanceIdintegerOptional
projectIdintegerOptional
createdByIdintegerOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error